/**
 * Define digest function.
 * @function defineDigest
 */

'use strict'

const apemanpasswd = require('apemanpasswd')

const DEFAULT_SPEC = [
  apemanpasswd.DEFAULT_ALGORITHM,
  apemanpasswd.DEFAULT_ITERATIONS,
  apemanpasswd.DEFAULT_LENGTH
].join(':')

/** @lends defineDigest */
function defineDigest (spec) {
  let passwd = apemanpasswd.fromSpecString(spec || DEFAULT_SPEC)

  /**
   * Define digest
   * @param {string} password
   * @param {string} salt
   */
  function digest (password, salt) {
    return passwd.digest(password, salt)
  }

  Object.assign(digest, {
    newSalt: passwd.newSalt.bind(passwd)
  })

  return digest
}

module.exports = defineDigest
