/**
 * @function doDestroySign
 */
'use strict'

const co = require('co')
const doDestroy = require('apeman-app-rest/lib/doing/do_destroy')

/** @lends doDestroySign */
function doDestroySign (config) {
  function destroySign (UserSign, context) {
    return co(function * () {
      return yield doDestroy(UserSign, context)
    })
  }

  Object.assign(destroySign, {
    bulk (UserSign, context) {
      return co(function * () {
        return yield doDestroy.bulk(UserSign, context)
      })
    }
  })

  return destroySign
}

module.exports = doDestroySign
